package jp.agentec.abook.abv.bl.dto.comparator;

import java.util.Comparator;

import jp.agentec.abook.abv.bl.dto.ReportStatusDto;

public class ReportStatusCompalator implements Comparator<ReportStatusDto> {

    @Override
    public int compare(ReportStatusDto o1, ReportStatusDto o2) {
        if (o1 == null && o2 == null) {
            return 0;
        } else if (o1 == null) {
            return 1;
        } else if (o2 == null) {
            return -1;
        }
        return Long.compare(o1.getOperationId(), o2.getOperationId());
    }
}
